const ThemeManager = require("../utils/ThemeManger");

cc.Class({
    extends: cc.Component,

    properties: {
        bottomSprite: cc.Sprite
    },

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {},

    start () {

    },

    init() {

    },

    updateItem() {
        this.cityId = 1;
        ThemeManager.setBottomBuildSpriteFrame(this.cityId, this.bottomSprite);
    },

    setListViewAdapter(listViewAdapter) {
        this._listViewAdapter = listViewAdapter;
    },

    deleteItem() {
        this._listViewAdapter.removeItem(this);
    },

    // update (dt) {},
});
